0.5.3 is broken #54

Open
sorin-ionescu opened this Issue Feb 2, 2011 · 5 comments

Projects

None yet

4 participants

@sorin-ionescu
Downloads ❯ hyde.py -i -s test
Traceback (most recent call last):
File "/usr/local/bin/hyde.py", line 5, in <module>
    pkg_resources.run_script('hyde==0.5.3', 'hyde.py')
File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/pkg_resources.py", line 442, in run_script
    self.require(requires)[0].run_script(script_name, ns)
File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/pkg_resources.py", line 1160, in run_script
    execfile(script_filename, namespace, namespace)
File "/Library/Python/2.6/site-packages/hyde-0.5.3-py2.6.egg/EGG-INFO/scripts/hyde.py", line 110, in <module>
    main()
File "/Library/Python/2.6/site-packages/hyde-0.5.3-py2.6.egg/EGG-INFO/scripts/hyde.py", line 71, in main
    options.template, options.force_init)
File "/Library/Python/2.6/site-packages/hyde-0.5.3-py2.6.egg/hydeengine/__init__.py", line 579, in initialize
    "Cannot find the specified template[%s]." % template_dir)
ValueError: Cannot find the specified template[/Library/Python/2.6/site-packages/hyde-0.5.3-py2.6.egg/EGG-INFO/scripts/templates/default].
@lakshmivyas
Member

Hi,

This is a known issue with hyde <= 0.5.x. Site init does not work with installed hyde.

The new version under development (http://github.com/hyde/hyde) fixes this.

@sorin-ionescu

I have tried the new version first. It wouldn't run (different error). So, I went to the current 0.5.3.

@lakshmivyas
Member

The workaround for 0.5.3, is to just copy the layout folder as your new site.

or you can clone the repository and run python hyde.py -i -s ~/test

Could you please let me know what errors you got with the new version?

@josephkern
[jkern test-hyde]$ hyde --version
hyde 0.5.3
[jkern tmp]$ mkdir test-hyde
[jkern tmp]$ hyde -s test-hyde
[jkern tmp]$ cd test-hyde/
[jkern test-hyde]$ hyde -i
Traceback (most recent call last):
  File "/usr/bin/hyde", line 9, in <module>
    load_entry_point('hyde==0.5.3', 'console_scripts', 'hyde')()
  File "/usr/lib/python2.6/site-packages/hyde-0.5.3-py2.6.egg/EGG-INFO/scripts/hyde.py", line 71, in main
    options.template, options.force_init)
  File "/usr/lib/python2.6/site-packages/hyde-0.5.3-py2.6.egg/hydeengine/__init__.py", line 579, in initialize
    "Cannot find the specified template[%s]." % template_dir)
ValueError: Cannot find the specified template[/usr/lib/python2.6/site-packages/hyde-0.5.3-py2.6.egg/EGG-INFO/scripts/templates/default].
@saras
saras commented Mar 3, 2013

Traceback (most recent call last):
File "hyde.py", line 8, in
import hydeengine
File "/media/8b6fa65e-c3d4-4d90-afbd-9cccb712e0d5/nova site/hyde/hydeengine/init.py", line 17, in
from django.conf import settings
ImportError: No module named django.conf

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment